Subject: Re: [PATCH 0/9] atl1: add napi to Atheros L1 NIC

From: Tony Zelenoff <[email-masked]>
Date: Mon, 16 Apr 2012 11:22:43 +0400

4/15/12 9:28 PM, David Miller написал:
> From: David Miller<[email-masked]>
> Date: Sun, 15 Apr 2012 13:03:46 -0400 (EDT)
>
>> From: Tony Zelenoff<[email-masked]>
>> Date: Fri, 13 Apr 2012 20:09:45 +0400
>>
>>> Added NAPI interface to the driver of Atheros L1 NIC.
>>> RX speed reported by iperf in TCP mode (with and without -N
>>> switch) improved by ~7 Mbps. In UDP mode the speed up is
>>> improved by ~4 Mbps.
>>> Also hard RX/TX rings processing with memory allocation in
>>> interrupt handlers is not very good idea. So, fixed this.
>>>
>>> Note: thouse patches must be applied after patch, that fix
>>> kernel panic in this driver.
>>> Its subject is: "atl1: fix kernel panic in case of DMA errors"
>>
>> Unfortunately this is bullshit.  These patches actually depend upon
>> that bug fix not being applied.  Look at the patches, they reference
>> and use the reset workqueue the bug fix removed.
Sorry, for long time to reply, unfortunately i had no internet access at 
this weekend.

> My bad, I thought I had merged the net tree into net-next before
> processing your patches but I didn't.
>
> I just fixed this all up in the net-next tree, please double
> check my work.
In atl1.h there is tx_timeout_task member of atl1_adapter remained. It 
was removed from this structure when kernel panic was fixed.
The patch will be soon.

Also, i'm interested in what to do with Chris Nook address in contacts 
list. Reason - mailer respond that this address is not valid anymore. 
Should i remove him from contacts or leave?

Mailer response:

   [email-masked]
     SMTP error from remote mail server after RCPT TO:<[email-masked]>:
     host mx1.redhat.com [209.132.183.28]: 550 5.2.1 
<[email-masked]>... Mailbox disabled for this recipient